View Issue Details

IDProjectCategoryLast Update
0021761AI War 2[All Projects] Bug - GameplayOct 10, 2019 11:18 am
ReporterlistsandlistsAssigned ToBadgerBadger 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.898 Galactic Linkages 
Fixed in Version0.899 Intel Objective Difficulty Ratings 
Summary0021761: combat engineers don't pursue in pursuit mode
DescriptionWhen placed in pursuit mode, combat engineers no longer move automatically around the planet map to assist with repair and construction.
TagsNo tags attached.

Activities

wm46

Oct 8, 2019 7:40 pm

reporter   ~0053554

From EntitySimLogicImplementation:

            if ( Entity.GetMatches( EntityRollupType.HasAnyMetalFlows ) &&
                 Entity.DataForMark.AssistRange > 0 &&
                 !Entity.TypeData.IsCombatant )
            {
                this.AttackerLogic_Assister( Context, Entity, order, guarded );
            }

Puffin changed combat engineers to be considered a combatant (probably so that they would be included in dragbox selection), but this means they run this.AttackerLogic_Combat instead of this.AttackerLogic_Assister.

There should be some other way of differentiating between them, maybe replace the IsCombatant check with a "NoOffensiveWeapons" check.

Asteroid

Oct 8, 2019 11:27 pm

reporter   ~0053558

Battlestations were also switched to be a combatant, I wonder if this affects them in any way.

BadgerBadger

Oct 8, 2019 11:43 pm

manager   ~0053559

I really don't like battlestations being combatants. I keep inadvertently sending them to enemy planets with my fleets.

Asteroid

Oct 9, 2019 8:50 am

reporter   ~0053560

I made the reverse complaint a while ago when they were civilians, that they were part of my attack group and that I kept forgetting them behind. Particularly grating since without control groups you can't hotkey together all fleets that participate in the attack without losing the ability to hotkey them individually.

BadgerBadger

Oct 10, 2019 11:18 am

manager   ~0053569

Fixed

Issue History

Date Modified Username Field Change
Oct 8, 2019 1:01 pm listsandlists New Issue
Oct 8, 2019 7:40 pm wm46 Note Added: 0053554
Oct 8, 2019 11:27 pm Asteroid Note Added: 0053558
Oct 8, 2019 11:27 pm Asteroid Severity minor => major
Oct 8, 2019 11:43 pm BadgerBadger Note Added: 0053559
Oct 9, 2019 8:50 am Asteroid Note Added: 0053560
Oct 10, 2019 11:18 am BadgerBadger Assigned To => BadgerBadger
Oct 10, 2019 11:18 am BadgerBadger Status new => resolved
Oct 10, 2019 11:18 am BadgerBadger Resolution open => fixed
Oct 10, 2019 11:18 am BadgerBadger Fixed in Version => 0.899 Intel Objective Difficulty Ratings
Oct 10, 2019 11:18 am BadgerBadger Note Added: 0053569